#include "Flow.h"

namespace http {

   Flow::Flow() {
      int len = strlen(hex);
      for(int ix = 0; ix < sizeof(actionId); ++ix) {
         actionId[ix] = hex[random() % len];
      }
   }

   bool Flow::action(HTTPParameters &p) {
      return true;
   }

   coreutils::ZString Flow::getId() {
      return coreutils::ZString(actionId, sizeof(actionId));
   }

}
